![Thronefall Multiplayer logo](https://github.com/MunWolf/thronefall_multiplayer/blob/main/PackageAssets/icon.png?raw=true)

# Thronefall Multiplayer

This is the [Thronefall Multiplayer](https://github.com/MunWolf/thronefall_multiplayer) mod.
Using the Steamworks backend and API to connect players in Thronefall to play together in a true multiplayer experience.
Each player selects their own weapon to bring into battle as you build a town together against the growing tide of enemies.

## Installation (manual)

If you are installing this manually, do the following

1. Extract the archive into a folder. **Do not extract into the game folder.**
2. Install [BepInEx](https://thunderstore.io/c/thronefall/p/BepInEx/BepInExPack_Thronefall/)
3. Move the contents of `ThronefallMultiplayer_Mod` folder into the game folder (the same folder `Thronefall.exe` is in).
4. Run the game. If everything runs correctly, you should see a Multiplayer option in the main menu.

## Issues, questions, etc.

At this moment, you can use the following channels to ask for help

* [Thronefall Discord](https://discord.gg/gVYctptyg8) (#game-mods channel or this mods entry in #mod-showcase)
* [Thronefall Multiplayer GitHub](https://github.com/MunWolf/thronefall_multiplayer/issues) (Look through existing issues before creating a new one)

## Author

Rikhardur Bjarni Einarsson (BadWolf)

## Changelog

#### 1.0.5
* Update to work with endless update.

#### 1.0.4
* Update to work with content update 1.

#### 1.0.3
* Fixed serialization issue to do with identifiers, caused some pathfinding packets to be ignored.

#### 1.0.2
* Update to use netstandard2.1 for Mac support

#### 1.0.1
* Fixes to packaging script

#### 1.0.0
* Initial Thunderstore release
